function interface ()

set_global;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                          Main Window (Figure 1)                         %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

han.fig(1).h = figure ...
   ('Name','Array Tool 3C', ...
    'NumberTitle','off', ...
    'Menu','none', ...
    'Toolbar','none', ...
    'Units','pixel', ...
    'Position',[han.fig(1).x han.fig(1).y ...
                han.fig(1).wid han.fig(1).hig], ...
    'Color',han.fig(1).color, ...
    'Renderer','ZBuffer', ...
    'Resize','off');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                            Files (Figure 1)                             %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

han.fig(1).pan(1).h = uipanel ...
   ('Parent', han.fig(1).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(1).x ...
                han.fig(1).pan(1).y ...
                han.fig(1).pan(1).wid ...
                han.fig(1).pan(1).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'FontWeight','Bold',...
    'Title','I/O Files');

han.fig(1).pan(1).lbl(1).h = uicontrol ...
   ('Parent', han.fig(1).pan(1).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(1).lbl(1).x ...
                han.fig(1).pan(1).lbl(1).y ...
                han.fig(1).pan(1).lbl(1).wid ...
                han.fig(1).pan(1).lbl(1).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','text', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','left', ...
    'String','SAC list file:');

han.fig(1).pan(1).edt(1).h = uicontrol ...
   ('Parent', han.fig(1).pan(1).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(1).edt(1).x ...
                han.fig(1).pan(1).edt(1).y ...
                han.fig(1).pan(1).edt(1).wid ...
                han.fig(1).pan(1).edt(1).hig], ...
    'BackgroundColor',[1 1 1], ...
    'Style','edit', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','right', ...
    'String',cfg.file.lst, ...
    'TooltipString','Path of the SAC list file', ...
    'Callback','callback(1);');

han.fig(1).pan(1).btn(1).h = uicontrol...
   ('Parent', han.fig(1).pan(1).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(1).btn(1).x ...
                han.fig(1).pan(1).btn(1).y ...
                han.fig(1).pan(1).btn(1).wid ...
                han.fig(1).pan(1).btn(1).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','pushbutton', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','center', ...
    'Foregroundcolor',[1 0 0], ...
    'String','Browse', ...
    'Callback','callback(2);');

han.fig(1).pan(1).lbl(2).h = uicontrol ...
   ('Parent', han.fig(1).pan(1).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(1).lbl(2).x ...
                han.fig(1).pan(1).lbl(2).y ...
                han.fig(1).pan(1).lbl(2).wid ...
                han.fig(1).pan(1).lbl(2).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','text', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','left', ...
    'String','Output file:');

han.fig(1).pan(1).edt(2).h = uicontrol ...
   ('Parent', han.fig(1).pan(1).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(1).edt(2).x ...
                han.fig(1).pan(1).edt(2).y ...
                han.fig(1).pan(1).edt(2).wid ...
                han.fig(1).pan(1).edt(2).hig], ...
    'BackgroundColor',[1 1 1], ...
    'Style','edit', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','right', ...
    'String',cfg.file.out, ...
    'TooltipString','Path of the output file', ...
    'Callback','callback(3);');

han.fig(1).pan(1).btn(2).h = uicontrol...
   ('Parent', han.fig(1).pan(1).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(1).btn(2).x ...
                han.fig(1).pan(1).btn(2).y ...
                han.fig(1).pan(1).btn(2).wid ...
                han.fig(1).pan(1).btn(2).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','pushbutton', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','center', ...
    'Foregroundcolor',[1 0 0], ...
    'String','Browse', ...
    'Callback','callback(4);');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                          Frequency (Figure 1)                           %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

han.fig(1).pan(2).h = uipanel ...
   ('Parent', han.fig(1).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(2).x ...
                han.fig(1).pan(2).y ...
                han.fig(1).pan(2).wid ...
                han.fig(1).pan(2).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'FontWeight','Bold',...
    'Title','Frequency');

han.fig(1).pan(2).lbl(1).h = uicontrol ...
   ('Parent', han.fig(1).pan(2).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(2).lbl(1).x ...
                han.fig(1).pan(2).lbl(1).y ...
                han.fig(1).pan(2).lbl(1).wid ...
                han.fig(1).pan(2).lbl(1).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','text', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','left', ...
    'String','Minimum');

han.fig(1).pan(2).edt(1).h = uicontrol ...
   ('Parent', han.fig(1).pan(2).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(2).edt(1).x ...
                han.fig(1).pan(2).edt(1).y ...
                han.fig(1).pan(2).edt(1).wid ...
                han.fig(1).pan(2).edt(1).hig], ...
    'BackgroundColor',[1 1 1], ...
    'Style','edit', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','right', ...
    'String',num2str(cfg.fmin), ...
    'TooltipString','Minimum frequency', ...
    'Callback','callback(5);');

han.fig(1).pan(2).lbl(2).h = uicontrol ...
   ('Parent', han.fig(1).pan(2).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(2).lbl(2).x ...
                han.fig(1).pan(2).lbl(2).y ...
                han.fig(1).pan(2).lbl(2).wid ...
                han.fig(1).pan(2).lbl(2).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','text', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','left', ...
    'String','Maximum');

han.fig(1).pan(2).edt(2).h = uicontrol ...
   ('Parent', han.fig(1).pan(2).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(2).edt(2).x ...
                han.fig(1).pan(2).edt(2).y ...
                han.fig(1).pan(2).edt(2).wid ...
                han.fig(1).pan(2).edt(2).hig], ...
    'BackgroundColor',[1 1 1], ...
    'Style','edit', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','right', ...
    'String',num2str(cfg.fmax), ...
    'TooltipString','Maximum frequency', ...
    'Callback','callback(6);');

han.fig(1).pan(2).lbl(3).h = uicontrol ...
   ('Parent', han.fig(1).pan(2).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(2).lbl(3).x ...
                han.fig(1).pan(2).lbl(3).y ...
                han.fig(1).pan(2).lbl(3).wid ...
                han.fig(1).pan(2).lbl(3).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','text', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','left', ...
    'String','Number');

han.fig(1).pan(2).edt(3).h = uicontrol ...
   ('Parent', han.fig(1).pan(2).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(2).edt(3).x ...
                han.fig(1).pan(2).edt(3).y ...
                han.fig(1).pan(2).edt(3).wid ...
                han.fig(1).pan(2).edt(3).hig], ...
    'BackgroundColor',[1 1 1], ...
    'Style','edit', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','right', ...
    'String',num2str(cfg.fnum), ...
    'TooltipString','Number of frequency samples', ...
    'Callback','callback(7);');

han.fig(1).pan(2).lbl(4).h = uicontrol ...
   ('Parent', han.fig(1).pan(2).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(2).lbl(4).x ...
                han.fig(1).pan(2).lbl(4).y ...
                han.fig(1).pan(2).lbl(4).wid ...
                han.fig(1).pan(2).lbl(4).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','text', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','left', ...
    'String','Axis');

han.fig(1).pan(2).pop(1).h = uicontrol ...
   ('Parent', han.fig(1).pan(2).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(2).pop(1).x ...
                han.fig(1).pan(2).pop(1).y ...
                han.fig(1).pan(2).pop(1).wid ...
                han.fig(1).pan(2).pop(1).hig], ...
    'BackgroundColor',[1 1 1], ...
    'Style','popupmenu', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','right', ...
    'String',{'Linear';'Logarithmic'}, ...
    'Value',cfg.ftyp, ...
    'TooltipString','Type of frequency axes', ...
    'Callback','callback(8);');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                           Velocity (Figure 1)                           %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

han.fig(1).pan(3).h = uipanel ...
   ('Parent', han.fig(1).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(3).x ...
                han.fig(1).pan(3).y ...
                han.fig(1).pan(3).wid ...
                han.fig(1).pan(3).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'FontWeight','Bold',...
    'Title','Velocity');

han.fig(1).pan(3).lbl(1).h = uicontrol ...
   ('Parent', han.fig(1).pan(3).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(3).lbl(1).x ...
                han.fig(1).pan(3).lbl(1).y ...
                han.fig(1).pan(3).lbl(1).wid ...
                han.fig(1).pan(3).lbl(1).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','text', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','left', ...
    'String','Minimum');

han.fig(1).pan(3).edt(1).h = uicontrol ...
   ('Parent', han.fig(1).pan(3).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(3).edt(1).x ...
                han.fig(1).pan(3).edt(1).y ...
                han.fig(1).pan(3).edt(1).wid ...
                han.fig(1).pan(3).edt(1).hig], ...
    'BackgroundColor',[1 1 1], ...
    'Style','edit', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','right', ...
    'String',num2str(cfg.vmin), ...
    'TooltipString','Minimum velocity', ...
    'Callback','callback(9);');

han.fig(1).pan(3).lbl(2).h = uicontrol ...
   ('Parent', han.fig(1).pan(3).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(3).lbl(2).x ...
                han.fig(1).pan(3).lbl(2).y ...
                han.fig(1).pan(3).lbl(2).wid ...
                han.fig(1).pan(3).lbl(2).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','text', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','left', ...
    'String','Maximum');

han.fig(1).pan(3).edt(2).h = uicontrol ...
   ('Parent', han.fig(1).pan(3).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(3).edt(2).x ...
                han.fig(1).pan(3).edt(2).y ...
                han.fig(1).pan(3).edt(2).wid ...
                han.fig(1).pan(3).edt(2).hig], ...
    'BackgroundColor',[1 1 1], ...
    'Style','edit', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','right', ...
    'String',num2str(cfg.vmax), ...
    'TooltipString','Minimum velocity', ...
    'Callback','callback(10);');

han.fig(1).pan(3).lbl(3).h = uicontrol ...
   ('Parent', han.fig(1).pan(3).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(3).lbl(3).x ...
                han.fig(1).pan(3).lbl(3).y ...
                han.fig(1).pan(3).lbl(3).wid ...
                han.fig(1).pan(3).lbl(3).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','text', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','left', ...
    'String','Number');

han.fig(1).pan(3).edt(3).h = uicontrol ...
   ('Parent', han.fig(1).pan(3).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(3).edt(3).x ...
                han.fig(1).pan(3).edt(3).y ...
                han.fig(1).pan(3).edt(3).wid ...
                han.fig(1).pan(3).edt(3).hig], ...
    'BackgroundColor',[1 1 1], ...
    'Style','edit', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','right', ...
    'String',num2str(cfg.vnum), ...
    'TooltipString','Number of velocity samples', ...
    'Callback','callback(11);');

han.fig(1).pan(3).lbl(4).h = uicontrol ...
   ('Parent', han.fig(1).pan(3).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(3).lbl(4).x ...
                han.fig(1).pan(3).lbl(4).y ...
                han.fig(1).pan(3).lbl(4).wid ...
                han.fig(1).pan(3).lbl(4).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','text', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','left', ...
    'String','Axis');

han.fig(1).pan(3).pop(1).h = uicontrol ...
   ('Parent', han.fig(1).pan(3).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(3).pop(1).x ...
                han.fig(1).pan(3).pop(1).y ...
                han.fig(1).pan(3).pop(1).wid ...
                han.fig(1).pan(3).pop(1).hig], ...
    'BackgroundColor',[1 1 1], ...
    'Style','popupmenu', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','right', ...
    'String',{'Linear';'Logarithmic'}, ...
    'Value',cfg.vtyp, ...
    'TooltipString','Type of velocity axes', ...
    'Callback','callback(12);');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                            Azimuth (Figure 1)                           %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

han.fig(1).pan(4).h = uipanel ...
   ('Parent', han.fig(1).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(4).x ...
                han.fig(1).pan(4).y ...
                han.fig(1).pan(4).wid ...
                han.fig(1).pan(4).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'FontWeight','Bold',...
    'Title','Azimuth');

han.fig(1).pan(4).lbl(1).h = uicontrol ...
   ('Parent', han.fig(1).pan(4).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(4).lbl(1).x ...
                han.fig(1).pan(4).lbl(1).y ...
                han.fig(1).pan(4).lbl(1).wid ...
                han.fig(1).pan(4).lbl(1).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','text', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','left', ...
    'String','Number');

han.fig(1).pan(4).edt(1).h = uicontrol ...
   ('Parent', han.fig(1).pan(4).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(4).edt(1).x ...
                han.fig(1).pan(4).edt(1).y ...
                han.fig(1).pan(4).edt(1).wid ...
                han.fig(1).pan(4).edt(1).hig], ...
    'BackgroundColor',[1 1 1], ...
    'Style','edit', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','right', ...
    'String',num2str(cfg.knum), ...
    'TooltipString','Number of azimuth directions', ...
    'Callback','callback(13);');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                         Core Algorithm (Figure 1)                       %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

han.fig(1).pan(5).h = uipanel ...
   ('Parent', han.fig(1).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(5).x ...
                han.fig(1).pan(5).y ...
                han.fig(1).pan(5).wid ...
                han.fig(1).pan(5).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'FontWeight','Bold',...
    'Title','Core Algorithm');

han.fig(1).pan(5).lbl(1).h = uicontrol ...
   ('Parent', han.fig(1).pan(5).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(5).lbl(1).x ...
                han.fig(1).pan(5).lbl(1).y ...
                han.fig(1).pan(5).lbl(1).wid ...
                han.fig(1).pan(5).lbl(1).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','text', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','left', ...
    'String','Type');

han.fig(1).pan(5).pop(1).h = uicontrol ...
   ('Parent', han.fig(1).pan(5).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(5).pop(1).x ...
                han.fig(1).pan(5).pop(1).y ...
                han.fig(1).pan(5).pop(1).wid ...
                han.fig(1).pan(5).pop(1).hig], ...
    'BackgroundColor',[1 1 1], ...
    'Style','popupmenu', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','right', ...
    'String',{'Classic FK';'Capon (D.L.)';'Capon (S.V.D.)';'MUSIC'}, ...
    'Value',cfg.ctyp, ...
    'TooltipString','Core algorithm for the f-k processing', ...
    'Callback','callback(14);');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                           Windowing (Figure 1)                          %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

han.fig(1).pan(6).h = uipanel ...
   ('Parent', han.fig(1).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(6).x ...
                han.fig(1).pan(6).y ...
                han.fig(1).pan(6).wid ...
                han.fig(1).pan(6).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'FontWeight','Bold',...
    'Title','Windowing');

han.fig(1).pan(6).lbl(1).h = uicontrol ...
   ('Parent', han.fig(1).pan(6).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(6).lbl(1).x ...
                han.fig(1).pan(6).lbl(1).y ...
                han.fig(1).pan(6).lbl(1).wid ...
                han.fig(1).pan(6).lbl(1).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','text', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','left', ...
    'String','Type');

han.fig(1).pan(6).pop(1).h = uicontrol ...
   ('Parent', han.fig(1).pan(6).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(6).pop(1).x ...
                han.fig(1).pan(6).pop(1).y ...
                han.fig(1).pan(6).pop(1).wid ...
                han.fig(1).pan(6).pop(1).hig], ...
    'BackgroundColor',[1 1 1], ...
    'Style','popupmenu', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','right', ...
    'String',{'Fixed Length'; ...
              'Frequency Dep.'}, ...
    'Value',cfg.wtyp, ...
    'TooltipString','Type of signal windowing', ...
    'Callback','callback(15);');

han.fig(1).pan(6).lbl(2).h = uicontrol ...
   ('Parent', han.fig(1).pan(6).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(6).lbl(2).x ...
                han.fig(1).pan(6).lbl(2).y ...
                han.fig(1).pan(6).lbl(2).wid ...
                han.fig(1).pan(6).lbl(2).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','text', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','left');

han.fig(1).pan(6).edt(1).h = uicontrol ...
   ('Parent', han.fig(1).pan(6).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(6).edt(1).x ...
                han.fig(1).pan(6).edt(1).y ...
                han.fig(1).pan(6).edt(1).wid ...
                han.fig(1).pan(6).edt(1).hig], ...
    'BackgroundColor',[1 1 1], ...
    'Style','edit', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','right', ...
    'String',num2str(cfg.wcyc), ...
    'TooltipString','Length of the window', ...
    'Callback','callback(16);');

    callback(15);

han.fig(1).pan(6).lbl(3).h = uicontrol ...
   ('Parent', han.fig(1).pan(6).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(6).lbl(3).x ...
                han.fig(1).pan(6).lbl(3).y ...
                han.fig(1).pan(6).lbl(3).wid ...
                han.fig(1).pan(6).lbl(3).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','text', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','left', ...
    'String','Taper (0-1)');

han.fig(1).pan(6).edt(2).h = uicontrol ...
   ('Parent', han.fig(1).pan(6).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(6).edt(2).x ...
                han.fig(1).pan(6).edt(2).y ...
                han.fig(1).pan(6).edt(2).wid ...
                han.fig(1).pan(6).edt(2).hig], ...
    'BackgroundColor',[1 1 1], ...
    'Style','edit', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','right', ...
    'String',num2str(cfg.wper), ...
    'TooltipString','Window tapering (between 0 and 1)', ...
    'Callback','callback(17);');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                      Frequency averaging (Figure 1)                     %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

han.fig(1).pan(7).h = uipanel ...
   ('Parent', han.fig(1).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(7).x ...
                han.fig(1).pan(7).y ...
                han.fig(1).pan(7).wid ...
                han.fig(1).pan(7).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'FontWeight','Bold',...
    'Title','Frequency Averaging');

han.fig(1).pan(7).lbl(1).h = uicontrol ...
   ('Parent', han.fig(1).pan(7).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(7).lbl(1).x ...
                han.fig(1).pan(7).lbl(1).y ...
                han.fig(1).pan(7).lbl(1).wid ...
                han.fig(1).pan(7).lbl(1).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','text', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','left', ...
    'String','Number');

han.fig(1).pan(7).edt(1).h = uicontrol ...
   ('Parent', han.fig(1).pan(7).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(7).edt(1).x ...
                han.fig(1).pan(7).edt(1).y ...
                han.fig(1).pan(7).edt(1).wid ...
                han.fig(1).pan(7).edt(1).hig], ...
    'BackgroundColor',[1 1 1], ...
    'Style','edit', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','right', ...
    'String',num2str(cfg.favn), ...
    'TooltipString','Number of frequency to be averaged', ...
    'Callback','callback(18);');

han.fig(1).pan(7).lbl(2).h = uicontrol ...
   ('Parent', han.fig(1).pan(7).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(7).lbl(2).x ...
                han.fig(1).pan(7).lbl(2).y ...
                han.fig(1).pan(7).lbl(2).wid ...
                han.fig(1).pan(7).lbl(2).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','text', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','left', ...
    'String','Width (N*dF)');

han.fig(1).pan(7).edt(2).h = uicontrol ...
   ('Parent', han.fig(1).pan(7).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(7).edt(2).x ...
                han.fig(1).pan(7).edt(2).y ...
                han.fig(1).pan(7).edt(2).wid ...
                han.fig(1).pan(7).edt(2).hig], ...
    'BackgroundColor',[1 1 1], ...
    'Style','edit', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','right', ...
    'String',num2str(cfg.favp), ...
    'TooltipString','Width of the averaging window (N times the frequency step)', ...
    'Callback','callback(19);');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                           Stacking (Figure 1)                           %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

han.fig(1).pan(8).h = uipanel ...
   ('Parent', han.fig(1).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(8).x ...
                han.fig(1).pan(8).y ...
                han.fig(1).pan(8).wid ...
                han.fig(1).pan(8).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'FontWeight','Bold',...
    'Title','C-Matrix Stacking');

han.fig(1).pan(8).lbl(1).h = uicontrol ...
   ('Parent', han.fig(1).pan(8).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(8).lbl(1).x ...
                han.fig(1).pan(8).lbl(1).y ...
                han.fig(1).pan(8).lbl(1).wid ...
                han.fig(1).pan(8).lbl(1).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','text', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','left', ...
    'String','Window N.');

han.fig(1).pan(8).edt(1).h = uicontrol ...
   ('Parent', han.fig(1).pan(8).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(8).edt(1).x ...
                han.fig(1).pan(8).edt(1).y ...
                han.fig(1).pan(8).edt(1).wid ...
                han.fig(1).pan(8).edt(1).hig], ...
    'BackgroundColor',[1 1 1], ...
    'Style','edit', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','right', ...
    'String',num2str(cfg.snum), ...
    'TooltipString','Number of windows to stack', ...
    'Callback','callback(20);');

han.fig(1).pan(8).lbl(2).h = uicontrol ...
   ('Parent', han.fig(1).pan(8).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(8).lbl(2).x ...
                han.fig(1).pan(8).lbl(2).y ...
                han.fig(1).pan(8).lbl(2).wid ...
                han.fig(1).pan(8).lbl(2).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','text', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','left', ...
    'String','Overlap (%)');

han.fig(1).pan(8).edt(2).h = uicontrol ...
   ('Parent', han.fig(1).pan(8).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(8).edt(2).x ...
                han.fig(1).pan(8).edt(2).y ...
                han.fig(1).pan(8).edt(2).wid ...
                han.fig(1).pan(8).edt(2).hig], ...
    'BackgroundColor',[1 1 1], ...
    'Style','edit', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','right', ...
    'String',num2str(cfg.oper), ...
    'TooltipString','Percentage of window overlapping', ...
    'Callback','callback(21);');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                        Maxima search (Figure 1)                         %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

han.fig(1).pan(9).h = uipanel ...
   ('Parent', han.fig(1).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(9).x ...
                han.fig(1).pan(9).y ...
                han.fig(1).pan(9).wid ...
                han.fig(1).pan(9).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'FontWeight','Bold',...
    'Title','Maxima search');

han.fig(1).pan(9).lbl(1).h = uicontrol ...
   ('Parent', han.fig(1).pan(9).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(9).lbl(1).x ...
                han.fig(1).pan(9).lbl(1).y ...
                han.fig(1).pan(9).lbl(1).wid ...
                han.fig(1).pan(9).lbl(1).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','text', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','left', ...
    'String','Res. Filter');

han.fig(1).pan(9).pop(1).h = uicontrol ...
   ('Parent', han.fig(1).pan(9).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(9).pop(1).x ...
                han.fig(1).pan(9).pop(1).y ...
                han.fig(1).pan(9).pop(1).wid ...
                han.fig(1).pan(9).pop(1).hig], ...
    'BackgroundColor',[1 1 1], ...
    'Style','popupmenu', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','right', ...
    'String',{'No';'Yes'}, ...
    'Value',cfg.mlim, ...
    'TooltipString','Exclude maxima out of resolution', ...
    'Callback','callback(22);');

han.fig(1).pan(9).lbl(2).h = uicontrol ...
   ('Parent', han.fig(1).pan(9).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(9).lbl(2).x ...
                han.fig(1).pan(9).lbl(2).y ...
                han.fig(1).pan(9).lbl(2).wid ...
                han.fig(1).pan(9).lbl(2).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','text', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','left', ...
    'String','Number');

han.fig(1).pan(9).edt(1).h = uicontrol ...
   ('Parent', han.fig(1).pan(9).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).pan(9).edt(1).x ...
                han.fig(1).pan(9).edt(1).y ...
                han.fig(1).pan(9).edt(1).wid ...
                han.fig(1).pan(9).edt(1).hig], ...
    'BackgroundColor',[1 1 1], ...
    'Style','edit', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','right', ...
    'String',num2str(cfg.mnum), ...
    'TooltipString','Number of maxima per window', ...
    'Callback','callback(23);');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                             Buttons (Figure 1)                          %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

han.fig(1).btn(1).h = uicontrol...
   ('Parent', han.fig(1).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).btn(1).x ...
                han.fig(1).btn(1).y ...
                han.fig(1).btn(1).wid ...
                han.fig(1).btn(1).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','pushbutton', ...
    'Fontunits','pixel', ...
    'Fontsize',14, ...
    'HorizontalAlignment','center', ...
    'Foregroundcolor',[1 0 0], ...
    'FontWeight','Bold',...
    'String','Start Analysis', ...
    'Callback','callback(24);');

han.fig(1).btn(2).h = uicontrol...
   ('Parent', han.fig(1).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).btn(2).x ...
                han.fig(1).btn(2).y ...
                han.fig(1).btn(2).wid ...
                han.fig(1).btn(2).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','pushbutton', ...
    'Fontunits','pixel', ...
    'Fontsize',14, ...
    'HorizontalAlignment','center', ...
    'Foregroundcolor',[1 0 0], ...
    'FontWeight','Bold',...
    'String','Stop Analysis', ...
    'Callback','callback(25);');

han.fig(1).btn(3).h = uicontrol...
   ('Parent', han.fig(1).h, ...
    'Units','pixel', ...
    'Position',[han.fig(1).btn(3).x ...
                han.fig(1).btn(3).y ...
                han.fig(1).btn(3).wid ...
                han.fig(1).btn(3).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','pushbutton', ...
    'Fontunits','pixel', ...
    'Fontsize',14, ...
    'HorizontalAlignment','center', ...
    'Foregroundcolor',[1 0 0], ...
    'FontWeight','Bold',...
    'String','Exit', ...
    'Callback','program_quit;');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                          Station Plot (Figure 2)                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

han.fig(2).h = figure ...
   ('Name','Array Geometry', ...
    'NumberTitle','off', ...
    'Menu','none', ...
    'Toolbar','none', ...
    'Units','pixel', ...
    'Position',[han.fig(2).x han.fig(2).y ...
                han.fig(2).wid han.fig(2).hig], ...
    'Color',han.fig(1).color, ...
    'Renderer','ZBuffer', ...
    'Resize','off');

han.fig(2).pan(1).h = uipanel ...
   ('Parent', han.fig(2).h, ...
    'Units','pixel', ...
    'Position',[han.fig(2).pan(1).x ...
                han.fig(2).pan(1).y ...
                han.fig(2).pan(1).wid ...
                han.fig(2).pan(1).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'FontWeight','Bold',...
    'Title','XY Plot');

han.fig(2).pan(1).axs(1).h = axes ...
   ('Parent', han.fig(2).pan(1).h, ...
    'Units','pixel', ...
    'Fontsize',10, ...
    'Box','on', ...
    'Xlim',[0 100], ...
    'Ylim',[0 100]);

    xlabel('X (m)');
    ylabel('Y (m)');

    grid on;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                           Seismogram (Figure 3)                         %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

han.fig(3).h = figure ...
   ('Name','Seismogram', ...
    'NumberTitle','off', ...
    'Menu','none', ...
    'Toolbar','none', ...
    'Units','pixel', ...
    'Position',[han.fig(3).x han.fig(3).y ...
                han.fig(3).wid han.fig(3).hig], ...
    'Color',han.fig(1).color, ...
    'Renderer','ZBuffer', ...
    'Resize','off');

han.fig(3).pan(1).h = uipanel ...
   ('Parent', han.fig(3).h, ...
    'Units','pixel', ...
    'Position',[han.fig(3).pan(1).x ...
                han.fig(3).pan(1).y ...
                han.fig(3).pan(1).wid ...
                han.fig(3).pan(1).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'FontWeight','Bold',...
    'Title','Trace plot');

han.fig(3).pan(1).axs(1).h = axes ...
   ('Parent', han.fig(3).pan(1).h, ...
    'Units','pixel', ...
    'Position',[han.fig(3).pan(1).axs(1).x ...
                han.fig(3).pan(1).axs(1).y ...
                han.fig(3).pan(1).axs(1).wid ...
                han.fig(3).pan(1).axs(1).hig], ...
    'Fontsize',10, ...
    'Box','on', ...
    'DrawMode','fast', ...
    'Xlim',[0 1000], ...
    'Ylim',[0 11]);

    xlabel('Time');
    ylabel('Stations ID');

    hold on;

    for np = 1:10
      plot([0:10:1000],np,'k-','Linewidth',1);
    end

    set(gca,'YTick',[1:10]);

    hold off;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                            Channels (Figure 3)                          %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

han.fig(3).pan(2).h = uipanel ...
   ('Parent', han.fig(3).h, ...
    'Units','pixel', ...
    'Position',[han.fig(3).pan(2).x ...
                han.fig(3).pan(2).y ...
                han.fig(3).pan(2).wid ...
                han.fig(3).pan(2).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'FontWeight','Bold',...
    'Title','Channels');

han.fig(3).pan(2).rad(1).h = uicontrol ...
   ('Parent', han.fig(3).pan(2).h, ...
    'Units','pixel', ...
    'Position',[han.fig(3).pan(2).rad(1).x ...
                han.fig(3).pan(2).rad(1).y ...
                han.fig(3).pan(2).rad(1).wid ...
                han.fig(3).pan(2).rad(1).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','radiobutton', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','left', ...
    'String','Ch. 1', ...
    'Value',1, ...
    'ForegroundColor',[0 0 1], ...
    'Callback','callback(26);');

han.fig(3).pan(2).rad(2).h = uicontrol ...
   ('Parent', han.fig(3).pan(2).h, ...
    'Units','pixel', ...
    'Position',[han.fig(3).pan(2).rad(2).x ...
                han.fig(3).pan(2).rad(2).y ...
                han.fig(3).pan(2).rad(2).wid ...
                han.fig(3).pan(2).rad(2).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','radiobutton', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','left', ...
    'String','Ch. 2', ...
    'Value',1, ...
    'ForegroundColor',[1 0 0], ...
    'Callback','callback(26);');

han.fig(3).pan(2).rad(3).h = uicontrol ...
   ('Parent', han.fig(3).pan(2).h, ...
    'Units','pixel', ...
    'Position',[han.fig(3).pan(2).rad(3).x ...
                han.fig(3).pan(2).rad(3).y ...
                han.fig(3).pan(2).rad(3).wid ...
                han.fig(3).pan(2).rad(3).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','radiobutton', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','left', ...
    'String','Ch. 3', ...
    'Value',1, ...
    'ForegroundColor',[0 1 0], ...
    'Callback','callback(26);');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                              Gain (Figure 3)                            %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

han.fig(3).pan(3).h = uipanel ...
   ('Parent', han.fig(3).h, ...
    'Units','pixel', ...
    'Position',[han.fig(3).pan(3).x ...
                han.fig(3).pan(3).y ...
                han.fig(3).pan(3).wid ...
                han.fig(3).pan(3).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'FontWeight','Bold',...
    'Title','Gain');

han.fig(3).pan(3).edt(1).h = uicontrol ...
   ('Parent', han.fig(3).pan(3).h, ...
    'Units','pixel', ...
    'Position',[han.fig(3).pan(3).edt(1).x ...
                han.fig(3).pan(3).edt(1).y ...
                han.fig(3).pan(3).edt(1).wid ...
                han.fig(3).pan(3).edt(1).hig], ...
    'BackgroundColor',[1 1 1], ...
    'Style','edit', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','right', ...
    'String',1, ...
    'Callback','callback(27);');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                         Time Settings (Figure 3)                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

han.fig(3).pan(4).h = uipanel ...
   ('Parent', han.fig(3).h, ...
    'Units','pixel', ...
    'Position',[han.fig(3).pan(4).x ...
                han.fig(3).pan(4).y ...
                han.fig(3).pan(4).wid ...
                han.fig(3).pan(4).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'FontWeight','Bold',...
    'Title','Time Settings');

han.fig(3).pan(4).lbl(1).h = uicontrol ...
   ('Parent', han.fig(3).pan(4).h, ...
    'Units','pixel', ...
    'Position',[han.fig(3).pan(4).lbl(1).x ...
                han.fig(3).pan(4).lbl(1).y ...
                han.fig(3).pan(4).lbl(1).wid ...
                han.fig(3).pan(4).lbl(1).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','text', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','left', ...
    'String','Start');

han.fig(3).pan(4).edt(1).h = uicontrol ...
   ('Parent', han.fig(3).pan(4).h, ...
    'Units','pixel', ...
    'Position',[han.fig(3).pan(4).edt(1).x ...
                han.fig(3).pan(4).edt(1).y ...
                han.fig(3).pan(4).edt(1).wid ...
                han.fig(3).pan(4).edt(1).hig], ...
    'BackgroundColor',[1 1 1], ...
    'Style','edit', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','right', ...
    'String',0, ...
    'Callback','callback(28);');

han.fig(3).pan(4).lbl(2).h = uicontrol ...
   ('Parent', han.fig(3).pan(4).h, ...
    'Units','pixel', ...
    'Position',[han.fig(3).pan(4).lbl(2).x ...
                han.fig(3).pan(4).lbl(2).y ...
                han.fig(3).pan(4).lbl(2).wid ...
                han.fig(3).pan(4).lbl(2).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','text', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','left', ...
    'String','End');

han.fig(3).pan(4).edt(2).h = uicontrol ...
   ('Parent', han.fig(3).pan(4).h, ...
    'Units','pixel', ...
    'Position',[han.fig(3).pan(4).edt(2).x ...
                han.fig(3).pan(4).edt(2).y ...
                han.fig(3).pan(4).edt(2).wid ...
                han.fig(3).pan(4).edt(2).hig], ...
    'BackgroundColor',[1 1 1], ...
    'Style','edit', ...
    'Fontunits','pixel', ...
    'Fontsize',10, ...
    'HorizontalAlignment','right', ...
    'String',100, ...
    'Callback','callback(28);');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                           Redraw plot (Figure 3)                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

han.fig(3).btn(1).h = uicontrol...
   ('Parent', han.fig(3).h, ...
    'Units','pixel', ...
    'Position',[han.fig(3).btn(1).x ...
                han.fig(3).btn(1).y ...
                han.fig(3).btn(1).wid ...
                han.fig(3).btn(1).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'Style','pushbutton', ...
    'Fontunits','pixel', ...
    'Fontsize',14, ...
    'HorizontalAlignment','center', ...
    'Foregroundcolor',[1 0 0], ...
    'String','Redraw', ...
    'FontWeight','Bold',...
    'Callback','callback(29);');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                           Kx-Ky Plot (Figure 4)                         %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

han.fig(4).h = figure ...
   ('Name','Kx-Ky Plot', ...
    'NumberTitle','off', ...
    'Menu','none', ...
    'Toolbar','none', ...
    'Units','pixel', ...
    'Position',[han.fig(4).x han.fig(4).y ...
                han.fig(4).wid han.fig(4).hig], ...
    'Color',han.fig(1).color, ...
    'Renderer','ZBuffer', ...
    'Resize','off');

han.fig(4).pan(1).h = uipanel ...
   ('Parent', han.fig(4).h, ...
    'Units','pixel', ...
    'Position',[han.fig(4).pan(1).x ...
                han.fig(4).pan(1).y ...
                han.fig(4).pan(1).wid ...
                han.fig(4).pan(1).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'FontWeight','Bold',...
    'Title','Vertical');

han.fig(4).pan(1).axs(1).h = axes ...
   ('Parent', han.fig(4).pan(1).h, ...
    'Units','pixel', ...
    'Fontsize',10, ...
    'Box','on', ...
    'Xlim',[0 1], ...
    'Ylim',[0 1]);

    xlabel('Kx (1/m)');
    ylabel('Ky (1/m)');

    grid on;

han.fig(4).pan(2).h = uipanel ...
   ('Parent', han.fig(4).h, ...
    'Units','pixel', ...
    'Position',[han.fig(4).pan(2).x ...
                han.fig(4).pan(2).y ...
                han.fig(4).pan(2).wid ...
                han.fig(4).pan(2).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'FontWeight','Bold',...
    'Title','Radial');

han.fig(4).pan(2).axs(1).h = axes ...
   ('Parent', han.fig(4).pan(2).h, ...
    'Units','pixel', ...
    'Fontsize',10, ...
    'Box','on', ...
    'Xlim',[0 1], ...
    'Ylim',[0 1]);

    xlabel('Kx (1/m)');
    ylabel('Ky (1/m)');

    grid on;

han.fig(4).pan(3).h = uipanel ...
   ('Parent', han.fig(4).h, ...
    'Units','pixel', ...
    'Position',[han.fig(4).pan(3).x ...
                han.fig(4).pan(3).y ...
                han.fig(4).pan(3).wid ...
                han.fig(4).pan(3).hig], ...
    'BackgroundColor',han.fig(1).color, ...
    'FontWeight','Bold',...
    'Title','Transversal');

han.fig(4).pan(3).axs(1).h = axes ...
   ('Parent', han.fig(4).pan(3).h, ...
    'Units','pixel', ...
    'Fontsize',10, ...
    'Box','on', ...
    'Xlim',[0 1], ...
    'Ylim',[0 1]);

    xlabel('Kx (1/m)');
    ylabel('Ky (1/m)');

    grid on;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                 Waitbar                                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

han.wbr(1).h = waitbar ...
   (0,'Initialising Analysis...', ...
    'Visible','off', ...
    'Name','Processing status', ...
    'Color',han.fig(1).color, ...
    'Units','pixel', ...
    'Position',[han.wbr(1).x han.wbr(1).y ...
                han.wbr(1).wid han.wbr(1).hig]);

return;
